SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000368supertuxTranslationspublic2008-07-13 02:592018-05-02 15:17
ReporterOMLX 
Assigned ToTobbi 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionduplicate 
Platformx86 (Intel, AMD, 32-bit)OSLinuxOS Version2.6
Product Version0.3.1 
Target VersionFixed in Version 
Summary0000368: Arabic not display correct
DescriptionFirst I want to thank you for SuperTux really I like it. In this day I've installed it and tried to translate it to Arabic. I've not finished yet. But I face a problem That Arabic doesn't display correct. look to screenshot.
TagsAttachedFiles
Fixed in GIT revision
Fixed in subversion revision
Attached Filespng file icon arabic_supertux2.png (Attachment missing)

- Relationships

-  Notes
(0000935)
mathnerd314 (administrator)
2008-07-15 08:19

Yes; Non-European charsets are currently unimplemented. (and for Arabic, I believe they are undrawn as well)
(0001482)
mathnerd314 (administrator)
2010-01-17 10:33

Confirming that Arabic won't display correctly.
(0003389)
giby (administrator)
2013-08-12 06:02

ST arabic font doesn't exist yet…

you still can join the translation project https://www.transifex.com/projects/p/supertux/ [^] it will encourage dev to implement it
(0003736)
giby (administrator)
2015-04-08 13:31

Font created, but buggy :(

right to left doesn't work
(0003810)
Tobbi (administrator)
2018-05-02 15:16

I'm closing this issue in favour of https://github.com/SuperTux/supertux/issues/97 [^]

Please subscribe there for up-to-date information.

- Issue History
Date Modified Username Field Change
2008-07-13 02:59 OMLX New Issue
2008-07-13 02:59 OMLX File Added: arabic_supertux2.png
2008-07-13 03:28 OMLX Issue Monitored: OMLX
2008-07-13 15:04 johannes2 Note Added: 0000925
2008-07-13 15:30 johannes2 Note Added: 0000929
2008-07-13 15:38 johannes2 Note Added: 0000930
2008-07-14 09:10 WolfgangB Note Deleted: 0000925
2008-07-14 09:10 WolfgangB Note Deleted: 0000929
2008-07-14 09:10 WolfgangB Note Deleted: 0000930
2008-07-15 08:19 mathnerd314 Note Added: 0000935
2010-01-17 10:33 mathnerd314 Note Added: 0001482
2010-01-17 10:33 mathnerd314 Status new => confirmed
2012-09-08 05:57 superdev Tag Attached: AttachedFiles
2013-08-12 06:02 giby Note Added: 0003389
2014-08-11 11:56 grumbel Assigned To => giby
2014-08-11 11:56 grumbel Status confirmed => assigned
2015-04-08 13:31 giby Note Added: 0003736
2018-05-02 15:16 Tobbi Note Added: 0003810
2018-05-02 15:17 Tobbi Status assigned => resolved
2018-05-02 15:17 Tobbi Resolution open => duplicate
2018-05-02 15:17 Tobbi Assigned To giby => Tobbi


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker